﻿@model IEnumerable<BeerOverflow.Web.Models.BeerViewModel>

@{
    ViewData["Title"] = "Drank List";
}

<h1>My Drank List Of Beers</h1>

<div class="row">
    @foreach (var item in Model)
    {
        <div class="col-lg-4 col-sm-6">
            <div class="product text-center">
                <div class="mb-3 position-relative">
                    <div class="badge text-white badge-"></div><a class="d-block" href="Beers/Details/@item.Id"><img class="img-fluid w-100" src="@Url.Content($"~/img/beers/beer{item.Id}.jpg")" onerror='this.src="@Url.Content($"~/img/beers/defaultbeer.jpg")"'></a>
                    <div class="product-overlay">
                        <ul class="mb-0 list-inline">
                            <li class="list-inline-item mr-0">
                                <form asp-action="Remove" asp-controller="DrankList" method="post">
                                    <input type="hidden" name="beerId" value="@item.Id" />
                                    <button class="btn btn-sm btn-dark" type="submit">
                                        <i class="fas fa-trash"></i>
                                    </button>
                                </form>
                            </li>
                            <li class="list-inline-item m-0 p-0"><a class="btn btn-sm btn-dark" href="Beers/Details/@item.Id">Details</a></li>
                        </ul>
                    </div>
                </div>
                <h6> <a class="reset-anchor" href="detail.html">@item.Name</a></h6>
                <p class="small text-muted">@item.ABV</p>
            </div>
        </div>
    }
</div>
